;--------------------------------------------------------------
; Find longitude and latitude along great circle path from src(lon,lat) to trg(lon,lat)
; use rb2ll.pro and ll2rd.pro
;
; Author : Fuminori Tsuchiya (Tohoku-U, Japan)
;
; Date   : 2015-01-23
;
;  (in)  src=[lon, lat] : source position longitude and latitude [degree]
;        trg=[lon, lat] : target position longitude and latitude [degree]
;  (out) gcp_lon        : longitude along great circle path [degree]
;        gcp_lat        : latitude along great circle path [degree]
;
;--------------------------------------------------------------
pro lf_get_gcp, src=src, trg=trg, gcp_lon=gcp_lon, gcp_lat=gcp_lat

; Calculation of angular distance between source to target

    ll2rb, src[0], src[1], trg[0], trg[1], r, b
    PRINT,'lf_get_gcp : Distance between src and trg : ', 6371.0 * r, ' [km]'

; Calculation of great circle path between source to target
    gcp_ll = fltarr(2,100)
    range = r * findgen(100)/99 ; radian
    rb2ll, src[0], src[1], range, b, gcp_lon, gcp_lat

end