;--------------------------------------------------------------
; IDL sample program to read and plot LF Ver1.x format data
;
; Author : Fuminori Tsuchiya (Tohoku-U, Japan)
;
; Date   : 2015-01-23
;
;--------------------------------------------------------------
pro main_lf_plot_v1, date=date

  dir = 'C:\_LF\ver1\'
  if ~keyword_set(date) then date = '2009090401'
  read_lfdata_v1, dir=dir, date=date, rx='twn', tx_fq_read=[40.0,60.0], $
                  lf_time=lf_time, lf_amp=lf_amp, lf_pha=lf_pha, $
                  jjy_code=jjy_code, /time_corr, $
                  /lf_sver0

  lf_filter, data_in=lf_pha[1,*], width=10, mask=jjy_code, data_out=flt_out, /set_median

  window, 0
  plot, lf_time/3600, lf_pha[1,*], title='60kHz', xtitle='Time [sec]', ytitle='Phase [degree]', psym=3

end
